Bug 75180 - 'ls' colors dark at console
'ls' colors dark at console
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-10-05 01:51 EDT by Jordan Russell
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-05 01:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2002-10-05 01:51:24 EDT
Description of problem:
When logged in at the console, 'ls' uses dark colors; for example, dark blue 
for directories. This is inconsistent with RH 6.x and RH 7.x; they use light 
colors, such as light blue for directories. Light colors on a black background 
are much easier to read than dark colors on a black blackground.

I'm assuming this was a mistake, i.e. someone wanted to make it use dark colors 
when a bright-backgrounded terminal was used (e.g. xterm), but in the process 
inadvertently made the console colors dark too.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
At the console, do: ls --color

Actual Results:  dark blue, dark green, dark cyan, ...

Expected Results:  light blue, light green, light cyan, ...

Additional info:

I found a similar problem with vim in RH 8.0 (#75177); I don't know if it's 
related or is a coincidence.
Comment 1 Tim Waugh 2002-10-05 04:25:34 EDT
This is mentioned in the release notes, and is not a fileutils or vim bug:  
       . On the console, the latarcyrheb-sun16 font is used for best Unicode  
       coverage. Due to the use of this font, bold colors are not available.  
Comment 2 Jordan Russell 2002-10-05 11:37:50 EDT
Hmm, so this is a known issue, but isn't it still something that should be 
addressed? Why should a change in the font affect whether bold colors can be 
Comment 3 Jordan Russell 2002-10-05 12:25:52 EDT
I found the answer to my question: It's because the bit that's normally used to 
set the bold attribute is instead used to select characters 257-512 in a 512-
character font.
Comment 4 Need Real Name 2002-10-15 20:17:27 EDT
Just a note: if you want to change the system font,
it looks like you just need to change the SYSFONT variable in /etc/sysconfig/i18n.

I set mine to "lat0-sun16" (7.3 default).

I appreciate the Unicode support, but I do most of my work over SSH and the dark
colours made it unusable.
Comment 5 Andrea Diodato 2002-12-17 12:12:31 EST
All programs in text mode need colors!!
If i use foreground yellow on background brown i can't see nothing!

Note You need to log in before you can comment on or make changes to this bug.